CVE-2006-1085
CVSS10.0
发布时间 :2006-03-08 19:02:00
修订时间 :2011-03-07 21:32:00
NMCO    

[原文]admin.php in PHP-Stats 0.1.9.1 and earlier allows remote attackers to bypass authentication, gain administrator privileges, and execute arbitrary PHP code by modifying the option[admin_pass] parameter and setting the pass_cookie to the MD5 hash of the specified password.


[CNNVD]PHP-Stats 'admin.php'多个输入验证和信息披露漏洞(CNNVD-200603-113)

        PHP-Stats 0.1.9.1及其早期版本中的admin.php,可以让远程攻击者通过修改选项[admin_pass]参数和设置pass_cookie到MD5 特定口令散列中,绕过认证,取得管理员特权,并执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1085
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1085
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-113
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0822
(UNKNOWN)  VUPEN  ADV-2006-0822
http://www.securityfocus.com/bid/16963
(UNKNOWN)  BID  16963
http://www.securityfocus.com/archive/1/archive/1/426762/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060304 PHP-Stats <= 0.1.9.1 remote commands execution
http://www.phpstats.net/forum/viewtopic.php?t=140
(UNKNOWN)  MISC  http://www.phpstats.net/forum/viewtopic.php?t=140
http://secunia.com/advisories/19116
(VENDOR_ADVISORY)  SECUNIA  19116
http://retrogod.altervista.org/php_stats_0191_adv.html
(UNKNOWN)  MISC  http://retrogod.altervista.org/php_stats_0191_adv.html
http://www.securityfocus.com/archive/1/archive/1/429145/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060327 Re: PHP-Stats <= 0.1.9.1 remote commands execution
http://www.securityfocus.com/archive/1/archive/1/428614/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060322 Re: PHP-Stats <= 0.1.9.1 remote commands execution

- 漏洞信息

PHP-Stats 'admin.php'多个输入验证和信息披露漏洞
危急 输入验证
2006-03-08 00:00:00 2006-03-09 00:00:00
远程  
        PHP-Stats 0.1.9.1及其早期版本中的admin.php,可以让远程攻击者通过修改选项[admin_pass]参数和设置pass_cookie到MD5 特定口令散列中,绕过认证,取得管理员特权,并执行任意PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        PhpStats PHP-Stats 0.1.9 .1
        PhpStats PhpStats 0.1.9.1b
        http://www.phpstats.net/stats/download.php?id=3

- 漏洞信息

23688
Php-Stats admin.php Arbitrary PHP Command Injection
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-03-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.1.9.1b or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站